Definition releases
Release a first-party app definition
Release a first-party app definition
curl --request POST \
--url https://api.atlan.com/application/v1/definitions/releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"version_label": "<string>",
"workspace_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: '<string>', version_label: '<string>', workspace_id: '<string>'})
};
fetch('https://api.atlan.com/application/v1/definitions/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/application/v1/definitions/releases"
payload = {
"channel": "<string>",
"version_label": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"definition_id": "<string>",
"manifest": {
"app_name": "ontology",
"display_name": "<string>",
"runtime": "platform_extension",
"schema_version": 1,
"ui_path": "<string>"
},
"release": {
"artifact_id": "<string>",
"channel": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"is_current": true,
"kind": "<string>",
"release_id": "<string>",
"release_status": "pending",
"version_id": "<string>",
"visibility": "private",
"workspace_id": "<string>",
"content_hash": "<string>",
"notes": "<string>",
"reason": "<string>",
"version_label": "<string>",
"version_ordinal": 123
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "invalid_field",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "budget_exceeded",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
⌘I
Release a first-party app definition
curl --request POST \
--url https://api.atlan.com/application/v1/definitions/releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"version_label": "<string>",
"workspace_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: '<string>', version_label: '<string>', workspace_id: '<string>'})
};
fetch('https://api.atlan.com/application/v1/definitions/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/application/v1/definitions/releases"
payload = {
"channel": "<string>",
"version_label": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"definition_id": "<string>",
"manifest": {
"app_name": "ontology",
"display_name": "<string>",
"runtime": "platform_extension",
"schema_version": 1,
"ui_path": "<string>"
},
"release": {
"artifact_id": "<string>",
"channel": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"is_current": true,
"kind": "<string>",
"release_id": "<string>",
"release_status": "pending",
"version_id": "<string>",
"visibility": "private",
"workspace_id": "<string>",
"content_hash": "<string>",
"notes": "<string>",
"reason": "<string>",
"version_label": "<string>",
"version_ordinal": 123
}
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "conflict",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "precondition_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "invalid_field",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "budget_exceeded",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}